RagTimeSpreadsheetInternal::State Struct Reference

Internal: the state of a RagTimeSpreadsheet. More...

## Public Member Functions

| State ()
| constructor

## Public Attributes

int | m_version
| the file version
std::vector< MWAWCell::Format > | m_numericFormatList
| a list of numeric format
std::vector< DateTime > | m_dateTimeList
| a list dateTimeFormatId -> dateTimeFormat;
std::vector< MWAWFont > | m_cellFontList
| a list SpTe -> font
std::vector< CellFormat > | m_cellFormatList
| a list SpVaId -> cellFormat
std::vector< CellBorder > | m_cellBorderList
| a list SpBoId -> cellBorder
std::vector< CellExtra > | m_cellExtraList
| a list SpCeId -> cellExtra
std::vector< std::string > | m_cellDEList
| a list SpDEId -> unknown data
std::map< int, std::shared_ptr< Spreadsheet > > | m_idSpreadsheetMap
| map id -> spreadsheet

## Detailed Description

Internal: the state of a RagTimeSpreadsheet.

## Constructor & Destructor Documentation

## State()

RagTimeSpreadsheetInternal::State::State | ( |  | ) |

inline

constructor

## Member Data Documentation

## m_cellBorderList

std::vector<CellBorder> RagTimeSpreadsheetInternal::State::m_cellBorderList

a list SpBoId -> cellBorder

Referenced by State().

## m_cellDEList

std::vector<std::string> RagTimeSpreadsheetInternal::State::m_cellDEList

a list SpDEId -> unknown data

Referenced by State().

## m_cellExtraList

std::vector<CellExtra> RagTimeSpreadsheetInternal::State::m_cellExtraList

a list SpCeId -> cellExtra

Referenced by State().

## m_cellFontList

std::vector<MWAWFont> RagTimeSpreadsheetInternal::State::m_cellFontList

a list SpTe -> font

Referenced by State().

## m_cellFormatList

std::vector<CellFormat> RagTimeSpreadsheetInternal::State::m_cellFormatList

a list SpVaId -> cellFormat

Referenced by State().

## m_dateTimeList

std::vector<DateTime> RagTimeSpreadsheetInternal::State::m_dateTimeList

a list dateTimeFormatId -> dateTimeFormat;

Referenced by State().

## m_idSpreadsheetMap

std::map<int, std::shared_ptr<Spreadsheet> > RagTimeSpreadsheetInternal::State::m_idSpreadsheetMap

map id -> spreadsheet

Referenced by State().

## m_numericFormatList

std::vector<MWAWCell::Format> RagTimeSpreadsheetInternal::State::m_numericFormatList

a list of numeric format

Referenced by State().

## m_version

int RagTimeSpreadsheetInternal::State::m_version

mutable

the file version

Referenced by State().

The documentation for this struct was generated from the following file:

- RagTimeSpreadsheet.cxx